---
updatedAt: 2026-08-11T19:47:14.000Z
---

# Creates a model response for the given chat conversation.

Given a list of messages comprising a conversation, the model will return a response. Compatible with OpenAI. See https://platform.openai.com/docs/api-reference/chat/create

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "NVIDIA NIM API for NVIDIA-Nemotron-3.5-Nano-30B-A3B",
    "description": "The NVIDIA NIM REST API for NVIDIA-Nemotron-3.5-Nano-30B-A3B. Please see https://docs.api.nvidia.com/nim/reference/nvidia-nemotron-3-5-nano-30b-a3b for more details.",
    "version": "1.0.0",
    "termsOfService": "https://www.nvidia.com/en-us/data-center/products/nvidia-ai-enterprise/eula/",
    "contact": {
      "name": "NVIDIA Enterprise Support",
      "url": "https://www.nvidia.com/en-us/support/enterprise/"
    },
    "license": {
      "name": "NVIDIA Nemotron Open Model License",
      "url": "https://www.nvidia.com/en-us/agreements/enterprise-software/nvidia-nemotron-open-model-license/"
    }
  },
  "servers": [
    {
      "url": "https://integrate.api.nvidia.com/v1/"
    }
  ],
  "paths": {
    "/chat/completions": {
      "post": {
        "operationId": "nvidia-nemotron-3-5-lightning-30b-a3b-infer",
        "tags": [
          "Chat"
        ],
        "summary": "Creates a model response for the given chat conversation.",
        "description": "Given a list of messages comprising a conversation, the model will return a response. Compatible with OpenAI. See https://platform.openai.com/docs/api-reference/chat/create",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ChatRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Invocation is fulfilled",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ChatCompletion"
                }
              },
              "text/event-stream": {
                "schema": {
                  "$ref": "#/components/schemas/ChatCompletionChunk"
                }
              }
            }
          },
          "202": {
            "description": "Result is pending. Client should poll using the requestId.",
            "content": {
              "application/json": {
                "example": {},
                "schema": {}
              }
            },
            "headers": {
              "NVCF-REQID": {
                "description": "requestId required for pooling",
                "schema": {
                  "type": "string",
                  "format": "uuid"
                }
              },
              "NVCF-STATUS": {
                "description": "Invocation status",
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "422": {
            "description": "Validation failed, provided entity could not be processed.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "example": {
                  "type": "urn:nvcf-worker-service:problem-details:unprocessable-entity",
                  "title": "Unprocessable Entity",
                  "status": 422,
                  "detail": "string",
                  "instance": "/v2/nvcf/pexec/functions/4a58c6cb-a9b4-4014-99de-3e704d4ae687",
                  "requestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
                }
              }
            }
          },
          "500": {
            "description": "The invocation ended with an error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "example": {
                  "type": "urn:nvcf-worker-service:problem-details:internal-server-error",
                  "title": "Internal Server Error",
                  "status": 500,
                  "detail": "string",
                  "instance": "/v2/nvcf/pexec/functions/4a58c6cb-a9b4-4014-99de-3e704d4ae687",
                  "requestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
                }
              }
            }
          }
        },
        "x-nvai-meta": {
          "name": "Create chat completion",
          "returns": "Returns a [chat completion](/docs/api-reference/chat/object) object, or a streamed sequence of [chat completion chunk](/docs/api-reference/chat/streaming) objects if the request is streamed.\n",
          "path": "create",
          "examples": [
            {
              "name": "Write a limerick about the wonders of GPU computing.",
              "requestJson": "{\n      \"model\": \"nvidia/nemotron-3.5-lightning-30b-a3b\",\n      \"messages\": [\n        {\n          \"role\": \"user\",\n          \"content\": \"Write a limerick about the wonders of GPU computing.\"\n        }\n      ],\n      \"temperature\": 1.0,\n      \"top_p\": 0.95,\n      \"max_tokens\": 8192,\n      \"seed\": 42,\n      \"stream\": true,\n      \"chat_template_kwargs\": {\"enable_thinking\": false}\n}\n",
              "responseJson": "{\n  \"id\": \"id-123\",\n  \"object\": \"chat.completion\",\n  \"created\": 1677652288,\n  \"model\": \"nvidia/nemotron-3.5-lightning-30b-a3b\",\n  \"system_fingerprint\": \"fp_44709d6fcb\",\n  \"choices\": [{\n    \"index\": 0,\n    \"message\": {\n      \"role\": \"assistant\",\n      \"content\": \"The python functions...\"\n    },\n    \"finish_reason\": \"stop\"\n  }],\n  \"usage\": {\n    \"prompt_tokens\": 9,\n    \"completion_tokens\": 12,\n    \"total_tokens\": 21\n  }\n}\n"
            },
            {
              "name": "Which number is larger, 9.11 or 9.8?",
              "requestJson": "{\n      \"model\": \"nvidia/nemotron-3.5-lightning-30b-a3b\",\n      \"messages\": [\n        {\n          \"role\": \"user\",\n          \"content\": \"Which number is larger, 9.11 or 9.8?\"\n        }\n      ],\n      \"temperature\": 1.0,\n      \"top_p\": 0.95,\n      \"max_tokens\": 8192,\n      \"seed\": 42,\n      \"stream\": true,\n      \"chat_template_kwargs\": {\"enable_thinking\": true},\n      \"reasoning_budget\": 8192\n}\n",
              "responseJson": "{\n  \"id\": \"id-123\",\n  \"object\": \"chat.completion\",\n  \"created\": 1677652288,\n  \"model\": \"nvidia/nemotron-3.5-lightning-30b-a3b\",\n  \"system_fingerprint\": \"fp_44709d6fcb\",\n  \"choices\": [{\n    \"index\": 0,\n    \"message\": {\n      \"role\": \"assistant\",\n      \"content\": \"The number 9.8 is larger...\"\n    },\n    \"finish_reason\": \"stop\"\n  }],\n  \"usage\": {\n    \"prompt_tokens\": 9,\n    \"completion_tokens\": 12,\n    \"total_tokens\": 21\n  }\n}\n"
            }
          ],
          "templates": [
            {
              "title": "No Streaming",
              "requestEjs": {
                "python": "from openai import OpenAI\n\nclient = OpenAI(\n  base_url = \"https://integrate.api.nvidia.com/v1\",\n  api_key = \"$NVIDIA_API_KEY\"\n)\n<%\nconst extra_body = {};\nextra_body[\"chat_template_kwargs\"] = request.chat_template_kwargs\n  || {\"enable_thinking\": true};\nconst reasoning_enabled = !!extra_body[\"chat_template_kwargs\"][\"enable_thinking\"];\nif (request.reasoning_budget !== undefined && request.reasoning_budget !== null\n    && reasoning_enabled) {\n  extra_body[\"reasoning_budget\"] = request.reasoning_budget;\n}\nconst extra_body_py = Object.keys(extra_body).length\n  ? JSON.stringify(extra_body)\n      .replaceAll(\"true\", \"True\")\n      .replaceAll(\"false\", \"False\")\n      .replaceAll(\"null\", \"None\")\n  : null;\n%>\n<% if (request.tools) { %>\ncompletion = client.chat.completions.create(\n  model=\"<%- request.model %>\",\n  messages=<%- JSON.stringify(request.messages) %>,\n  temperature=<%- request.temperature %>,\n  top_p=<%- request.top_p %>,\n  max_tokens=<%- request.max_tokens %>,\n  <%- extra_body_py ? 'extra_body=' + extra_body_py + ',' : '' %>\n  stream=<%- request.stream?.toString()[0].toUpperCase() + request.stream?.toString().slice(1) %>,\n  tools=<%- JSON.stringify(request.tools) %>,\n  <% if (request.tool_choice) { %>tool_choice=<%- JSON.stringify(request.tool_choice) %><% } %>\n)<% } else { %>\ncompletion = client.chat.completions.create(\n  model=\"<%- request.model %>\",\n  messages=<%- JSON.stringify(request.messages) %>,\n  temperature=<%- request.temperature %>,\n  top_p=<%- request.top_p %>,\n  max_tokens=<%- request.max_tokens %>,\n  <%- extra_body_py ? 'extra_body=' + extra_body_py + ',' : '' %>\n  stream=<%- request.stream?.toString()[0].toUpperCase() + request.stream?.toString().slice(1) %>\n)<% } %>\n<% if (request.stream) { %>\nfor chunk in completion:\n  if not chunk.choices:\n    continue\n<% if (reasoning_enabled) { -%>\n  reasoning = getattr(chunk.choices[0].delta, \"reasoning_content\", None)\n  if reasoning:\n    print(reasoning, end=\"\")\n<% } -%>\n  if chunk.choices[0].delta.content is not None:\n    print(chunk.choices[0].delta.content, end=\"\")\n  <% if (request.tools) { %>if chunk.choices[0].delta.tool_calls:\n    print(chunk.choices[0].delta.tool_calls)<% } %>\n<% } else { %>\n<% if (reasoning_enabled) { -%>\nreasoning = getattr(completion.choices[0].message, \"reasoning_content\", None)\nif reasoning:\n  print(reasoning)\n<% } -%>\nprint(completion.choices[0].message.content)\n<% if (request.tools) { %>if completion.choices[0].message.tool_calls:\n  print(completion.choices[0].message.tool_calls)<% } %>\n<% } %>\n",
                "langChain": "from langchain_nvidia_ai_endpoints import ChatNVIDIA\n\n<%\nconst lc_chat_template_kwargs = request.chat_template_kwargs\n  ? request.chat_template_kwargs\n  : {\"enable_thinking\": true};\nconst lc_reasoning_enabled = !!(lc_chat_template_kwargs && lc_chat_template_kwargs.enable_thinking);\nconst lc_chat_template_kwargs_py = lc_chat_template_kwargs\n  ? JSON.stringify(lc_chat_template_kwargs)\n      .replaceAll(\"true\", \"True\")\n      .replaceAll(\"false\", \"False\")\n      .replaceAll(\"null\", \"None\")\n  : null;\n%>\nclient = ChatNVIDIA(\n  model=\"<%- request.model %>\",\n  api_key=\"$NVIDIA_API_KEY\", \n  temperature=<%- request.temperature %>,\n  top_p=<%- request.top_p %>,\n  max_tokens=<%- request.max_tokens %>,\n  <%- (request.reasoning_budget !== undefined && request.reasoning_budget !== null && lc_reasoning_enabled) ? 'reasoning_budget=' + request.reasoning_budget + ',' : '' %>\n  <%- lc_chat_template_kwargs_py ? 'chat_template_kwargs=' + lc_chat_template_kwargs_py + ',' : '' %>\n)\n<% if (request.stream) { %>\nfor chunk in client.stream(<%- JSON.stringify(request.messages) %>):\n  <% if (lc_reasoning_enabled) { %>\n    if chunk.additional_kwargs and \"reasoning_content\" in chunk.additional_kwargs:\n      print(chunk.additional_kwargs[\"reasoning_content\"], end=\"\")\n  <% } %>\n    print(chunk.content, end=\"\")\n<% } else { %>\nresponse = client.invoke(<%- JSON.stringify(request.messages) %>)\n<% if (lc_reasoning_enabled) { -%>\nif response.additional_kwargs and \"reasoning_content\" in response.additional_kwargs:\n  print(response.additional_kwargs[\"reasoning_content\"])\n<% } -%>\nprint(response.content)\n<% } %>\n",
                "node.js": "import OpenAI from 'openai';\n\nconst openai = new OpenAI({\n  apiKey: '$NVIDIA_API_KEY',\n  baseURL: 'https://integrate.api.nvidia.com/v1',\n})\n<%\nconst node_chat_template_kwargs = request.chat_template_kwargs\n  ? request.chat_template_kwargs\n  : {\"enable_thinking\": true};\nconst node_reasoning_enabled = !!(node_chat_template_kwargs && node_chat_template_kwargs.enable_thinking);\n%>\n <% if (request.tools) { %>\nasync function main() {\n  const completion = await openai.chat.completions.create({\n    model: \"<%- request.model %>\",\n    messages: <%- JSON.stringify(request.messages) %>,\n    temperature: <%- request.temperature %>,\n    top_p: <%- request.top_p %>,\n    max_tokens: <%- request.max_tokens %>,\n    <%- (request.reasoning_budget !== undefined && request.reasoning_budget !== null && node_reasoning_enabled) ? 'reasoning_budget: ' + request.reasoning_budget + ',' : '' %>\n    <%- node_chat_template_kwargs ? 'chat_template_kwargs: ' + JSON.stringify(node_chat_template_kwargs) + ',' : '' %>\n    stream: <%- request.stream %>,\n    <% if (request.tools) { %>tools: <%- JSON.stringify(request.tools) %>,<% } %>\n    <% if (request.tool_choice) { %>tool_choice: <%- JSON.stringify(request.tool_choice) %>,<% } %>\n  })<% } else { %>\nasync function main() {\n  const completion = await openai.chat.completions.create({\n    model: \"<%- request.model %>\",\n    messages: <%- JSON.stringify(request.messages) %>,\n    temperature: <%- request.temperature %>,\n    top_p: <%- request.top_p %>,\n    max_tokens: <%- request.max_tokens %>,\n    <%- (request.reasoning_budget !== undefined && request.reasoning_budget !== null && node_reasoning_enabled) ? 'reasoning_budget: ' + request.reasoning_budget + ',' : '' %>\n    <%- node_chat_template_kwargs ? 'chat_template_kwargs: ' + JSON.stringify(node_chat_template_kwargs) + ',' : '' %>\n    stream: <%- request.stream %>\n  })<% } %>\n   <% if (request.stream) { %>\n  for await (const chunk of completion) {\n    <% if (node_reasoning_enabled) { -%>\n    const reasoning = chunk.choices[0]?.delta?.reasoning_content;\n    if (reasoning) process.stdout.write(reasoning);\n    <% } -%>\n    process.stdout.write(chunk.choices[0]?.delta?.content || '')\n    <% if (request.tools) { %>if (chunk.choices[0]?.delta?.tool_calls) console.log(chunk.choices[0]?.delta?.tool_calls)<% } %>\n  }\n  <% } else { %>\n  <% if (node_reasoning_enabled) { -%>\n  const reasoning = completion.choices[0]?.message?.reasoning_content;\n  if (reasoning) process.stdout.write(reasoning + \"\\n\");\n  <% } -%>\n  process.stdout.write(completion.choices[0]?.message?.content || '');\n  <% if (request.tools) { %>if (completion.choices[0]?.message?.tool_calls) console.log(completion.choices[0]?.message?.tool_calls);<% } %>\n  <% } %>\n}\n\nmain();",
                "curl": "<%\nconst curl_chat_template_kwargs = request.chat_template_kwargs\n  ? request.chat_template_kwargs\n  : {\"enable_thinking\": true};\nconst curl_reasoning_enabled = !!(curl_chat_template_kwargs && curl_chat_template_kwargs.enable_thinking);\n%>\ninvoke_url='https://integrate.api.nvidia.com/v1/chat/completions'\n\npayload=$(cat <<'JSON'\n{\n  \"model\": \"<%- request.model %>\",\n  \"messages\": <%- JSON.stringify(request.messages) %>,\n  \"temperature\": <%- request.temperature %>,\n  \"top_p\": <%- request.top_p %>,\n  \"max_tokens\": <%- request.max_tokens %>,\n  <%- (request.reasoning_budget !== undefined && request.reasoning_budget !== null && curl_reasoning_enabled) ? '\"reasoning_budget\": ' + request.reasoning_budget + ',\\n  ' : '' %>\"chat_template_kwargs\": <%- JSON.stringify(curl_chat_template_kwargs) %>,\n  \"stream\": <%- request.stream %><% if (request.tools) { %>,\n  \"tools\": <%- JSON.stringify(request.tools) %><% } %><% if (request.tool_choice) { %>,\n  \"tool_choice\": <%- JSON.stringify(request.tool_choice) %><% } %>\n}\nJSON\n)\n\ncurl -sS<%- request.stream ? ' -N' : '' %> \\\n  --request POST \\\n  --url \"$invoke_url\" \\\n  --header \"Authorization: Bearer $NVIDIA_API_KEY\" \\\n  --header \"Accept: application/json\" \\\n  --header \"Content-Type: application/json\" \\\n  --data \"$payload\""
              },
              "response": "{\n  \"id\": \"chatcmpl-123\",\n  \"object\": \"chat.completion\",\n  \"created\": 1677652288,\n  \"model\": \"nvidia/nemotron-3.5-lightning-30b-a3b\",\n  \"system_fingerprint\": \"fp_44709d6fcb\",\n  \"choices\": [{\n    \"index\": 0,\n    \"message\": {\n      \"role\": \"assistant\",\n      \"content\": \"\\n\\nHello there, how may I assist you today?\",\n    },\n    \"finish_reason\": \"stop\"\n  }],\n  \"usage\": {\n    \"prompt_tokens\": 9,\n    \"completion_tokens\": 12,\n    \"total_tokens\": 21\n  }\n}\n"
            }
          ]
        }
      }
    }
  },
  "security": [
    {
      "Token": []
    }
  ],
  "components": {
    "securitySchemes": {
      "Token": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "schemas": {
      "Errors": {
        "properties": {
          "type": {
            "type": "string",
            "description": "Error type"
          },
          "title": {
            "type": "string",
            "description": "Error title"
          },
          "status": {
            "type": "integer",
            "description": "Error status code"
          },
          "detail": {
            "type": "string",
            "description": "Detailed information about the error"
          },
          "instance": {
            "type": "string",
            "description": "Function instance used to invoke the request"
          },
          "requestId": {
            "type": "string",
            "format": "uuid",
            "description": "UUID of the request"
          }
        },
        "type": "object",
        "required": [
          "type",
          "title",
          "status",
          "detail",
          "instance",
          "requestId"
        ],
        "title": "InvokeError"
      },
      "ChatCompletion": {
        "properties": {
          "id": {
            "description": "A unique identifier for the completion.",
            "format": "uuid",
            "title": "Id",
            "type": "string"
          },
          "choices": {
            "description": "The list of completion choices the model generated for the input prompt.",
            "items": {
              "$ref": "#/components/schemas/Choice"
            },
            "title": "Choices",
            "type": "array"
          },
          "usage": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Usage"
              }
            ],
            "description": "Usage statistics for the completion request."
          }
        },
        "required": [
          "id",
          "choices",
          "usage"
        ],
        "title": "ChatCompletion",
        "type": "object"
      },
      "ChatCompletionChunk": {
        "properties": {
          "id": {
            "description": "A unique identifier for the completion.",
            "format": "uuid",
            "title": "Id",
            "type": "string"
          },
          "choices": {
            "description": "The list of completion choices the model generated for the input prompt.",
            "items": {
              "$ref": "#/components/schemas/ChoiceChunk"
            },
            "title": "Choices",
            "type": "array"
          }
        },
        "required": [
          "id",
          "choices"
        ],
        "title": "ChatCompletionChunk",
        "type": "object"
      },
      "ChatRequest": {
        "additionalProperties": false,
        "properties": {
          "model": {
            "type": "string",
            "title": "Model",
            "default": "nvidia/nemotron-3.5-lightning-30b-a3b"
          },
          "messages": {
            "description": "A list of messages comprising the conversation so far. The roles of the messages must be alternating between `user` and `assistant`. The last input message should have role `user`. A message with the the `system` role is optional, and must be the very first message if it is present; `context` is also optional, but must come before a user question.",
            "examples": [
              [
                {
                  "content": "I am going to Paris, what should I see?",
                  "role": "user"
                }
              ]
            ],
            "items": {
              "$ref": "#/components/schemas/Message"
            },
            "title": "Messages",
            "type": "array"
          },
          "temperature": {
            "default": 1,
            "description": "The sampling temperature to use for text generation. The higher the temperature value is, the less deterministic the output text will be. It is not recommended to modify both temperature and top_p in the same call.",
            "maximum": 1,
            "exclusiveMinimum": 0,
            "title": "Temperature",
            "type": "number"
          },
          "top_p": {
            "default": 0.95,
            "description": "The top-p sampling mass used for text generation. The top-p value determines the probability mass that is sampled at sampling time. For example, if top_p = 0.2, only the most likely tokens (summing to 0.2 cumulative probability) will be sampled. It is not recommended to modify both temperature and top_p in the same call.",
            "maximum": 1,
            "exclusiveMinimum": 0,
            "title": "Top P",
            "type": "number"
          },
          "max_tokens": {
            "default": 16384,
            "description": "The maximum number of tokens to generate in any given call. Note that the model is not aware of this value, and generation will simply stop at the number of tokens specified.",
            "maximum": 32768,
            "minimum": 1,
            "title": "Max Tokens",
            "type": "integer"
          },
          "reasoning_budget": {
            "description": "Maximum number of tokens the model is allowed to use for internal reasoning\n(\"thinking\") before it is forced to end the reasoning trace. Use `-1` to disable\nbudget enforcement. This can also be provided via\n`chat_template_kwargs.reasoning_budget` for backwards compatibility; if both\nare provided, `chat_template_kwargs.reasoning_budget` takes precedence.\nThis applies when reasoning is enabled.\n",
            "default": 16384,
            "maximum": 32768,
            "minimum": -1,
            "title": "Reasoning Budget",
            "type": "integer"
          },
          "seed": {
            "anyOf": [
              {
                "maximum": 18446744073709552000,
                "minimum": 0,
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "default": 42,
            "description": "If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same seed and parameters should return the same result.",
            "examples": [
              42
            ],
            "title": "Seed"
          },
          "stream": {
            "default": true,
            "description": "If set, partial message deltas will be sent. Tokens will be sent as data-only server-sent events (SSE) as they become available (JSON responses are prefixed by `data: `), with the stream terminated by a `data: [DONE]` message.",
            "title": "Stream",
            "type": "boolean"
          },
          "stop": {
            "anyOf": [
              {
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Stop",
            "description": "A string or a list of strings where the API will stop generating further tokens. The returned text will not contain the stop sequence."
          }
        },
        "required": [
          "messages"
        ],
        "title": "ChatRequest",
        "type": "object"
      },
      "Choice": {
        "properties": {
          "index": {
            "description": "The index of the choice in the list of choices (always 0).",
            "title": "Index",
            "type": "integer"
          },
          "message": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Message"
              }
            ],
            "description": "A chat completion message generated by the model.",
            "examples": [
              {
                "content": "Ah, Paris, the City of Light! There are so many amazing things to see and do in this beautiful city ...",
                "role": "assistant"
              }
            ]
          },
          "finish_reason": {
            "anyOf": [
              {
                "enum": [
                  "stop",
                  "length"
                ],
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "default": null,
            "description": "The reason the model stopped generating tokens. This will be `stop` if the model hit a natural stop point or a provided stop sequence, or `length` if the maximum number of tokens specified in the request was reached.",
            "examples": [
              "stop"
            ],
            "title": "Finish Reason"
          }
        },
        "required": [
          "index",
          "message"
        ],
        "title": "Choice",
        "type": "object"
      },
      "ChoiceChunk": {
        "properties": {
          "index": {
            "description": "The index of the choice in the list of choices (always 0).",
            "title": "Index",
            "type": "integer"
          },
          "delta": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Message"
              }
            ],
            "description": "A chat completion delta generated by streamed model responses.",
            "examples": [
              {
                "content": "Ah,",
                "role": "assistant"
              }
            ]
          },
          "finish_reason": {
            "anyOf": [
              {
                "enum": [
                  "stop",
                  "length"
                ],
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "default": null,
            "description": "The reason the model stopped generating tokens. This will be `stop` if the model hit a natural stop point or a provided stop sequence, or `length` if the maximum number of tokens specified in the request was reached. Will be `null` if the model has not finished generating.",
            "title": "Finish Reason"
          }
        },
        "required": [
          "index",
          "delta"
        ],
        "title": "ChoiceChunk",
        "type": "object"
      },
      "Message": {
        "additionalProperties": false,
        "properties": {
          "role": {
            "description": "The role of the message author.",
            "enum": [
              "system",
              "context",
              "user",
              "assistant"
            ],
            "title": "Role",
            "type": "string"
          },
          "content": {
            "description": "The contents of the message.",
            "title": "Content",
            "type": "string"
          }
        },
        "required": [
          "role",
          "content"
        ],
        "title": "Message",
        "type": "object"
      },
      "Usage": {
        "properties": {
          "completion_tokens": {
            "description": "Number of tokens in the generated completion.",
            "examples": [
              25
            ],
            "title": "Completion Tokens",
            "type": "integer"
          },
          "prompt_tokens": {
            "description": "Number of tokens in the prompt.",
            "examples": [
              9
            ],
            "title": "Prompt Tokens",
            "type": "integer"
          },
          "total_tokens": {
            "description": "Total number of tokens used in the request (prompt + completion).",
            "examples": [
              34
            ],
            "title": "Total Tokens",
            "type": "integer"
          }
        },
        "required": [
          "completion_tokens",
          "prompt_tokens",
          "total_tokens"
        ],
        "title": "Usage",
        "type": "object"
      }
    }
  }
}
```